# 2015-04-28
# Replacement for Octave script hist_all.m

data <- read.table("data_all.txt",header=F,colClasses="numeric")

# Quote time in seconds
data <- data[,1] / 2992500000
# Replicate Octave's first and last bin behavior
data <- pmax(data,0.01715475)
data <- pmin(data,0.01721525)

pdf("kernelspace.pdf",width=6.5,height=2.5,pointsize=12)
par(mar=c(3,3,0.1,0.1),mgp=c(2,0.75,0))
hist(x=data,breaks=seq(0.0171545,0.0172155,0.0000005),xlab="s",ylab="Frequency",col="#808080",main="")
dev.off()
